{{- range .Versions }}
<a name="{{ .Tag.Name }}"></a>
## BlueMastoFeed {{ if .Tag.Previous }}[{{ .Tag.Name }}]({{ $.Info.RepositoryURL }}/compare/{{ .Tag.Previous.Name }}...{{ .Tag.Name }}){{ else }}{{ .Tag.Name }}{{ end }} - {{ datetime "2006-01-02" .Tag.Date }}

{{- if .CommitGroups }}
### Changes
{{ range .CommitGroups }}
#### {{ .Title }}
{{ range .Commits }}
- {{ if .Scope }}**{{ .Scope }}:** {{ end }}{{ .Subject }}  
  [`{{ printf "%s" .Hash | slice 0 7 }}`]({{ $.Info.RepositoryURL }}/commit/{{ .Hash }}) by @{{ .Author.Name }}
{{ end }}
{{ end }}
{{ end }}

{{- if .MergeCommits }}
### Pull Requests
{{ range .MergeCommits }}
- {{ .Header }}  
  [`{{ printf "%s" .Hash | slice 0 7 }}`]({{ $.Info.RepositoryURL }}/commit/{{ .Hash }}) by @{{ .Author.Name }}
{{ end }}
{{ end }}

{{- if .RevertCommits }}
### Reverts
{{ range .RevertCommits }}
- {{ .Revert.Header }}  
  [`{{ printf "%s" .Hash | slice 0 7 }}`]({{ $.Info.RepositoryURL }}/commit/{{ .Hash }}) by @{{ .Author.Name }}
{{ end }}
{{ end }}

{{- if .NoteGroups }}
### Notes
{{ range .NoteGroups }}
#### {{ .Title }}
{{ range .Notes }}
- {{ .Body }}
{{ end }}
{{ end }}
{{ end }}

{{ end }}
